/* Simple CGA routines by Bad Sector */

#ifndef CGA_H_
#define CGA_H_

extern unsigned char* cgadata;
extern unsigned char* cgaline[200];

#define TILEOFS(n)  ((n)<<6)
#define TILEPTR(p,n) ((p)+TILEOFS(n))

void cga_init(void);
void cga_shutdown(void);
void cga_pset(int x, int y, int c);
void cga_hline(int x1, int x2, int y, int c);
void cga_bar(int x1, int y1, int x2, int y2, int c);
void cga_tile(int x, int y, const unsigned char* tile);
void cga_tile_pset(unsigned char* tile, int x, int y, int c);
unsigned char* cga_load_tiles(const char* filename);
void cga_msg(int y, const char* msg);

#endif
